#ifndef seafire__routing__flatten_route_hxx_
#define seafire__routing__flatten_route_hxx_

#include <seafire/routing/endpoint.hxx>
#include <seafire/routing/route.hxx>

#include <seafire/server/middleware.hxx>

#include <vector>

namespace seafire::routing
{

  void
  flatten(std::vector<endpoint_t>& endpoints,
          std::string const&,
          std::vector<server::middleware_t>,
          route_t const& r,
          std::string const& root);

  void
  flatten(std::vector<endpoint_t>&,
          std::string const&,
          std::vector<server::middleware_t>,
          route_t const&);

  std::vector<endpoint_t>
  flatten(std::string const&, route_t const&);

} // namespace seafire::routing

#endif
